classification
Title: Deprecate the parser module
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, pablogsal, vstinner
Priority: normal Keywords: patch

Created on 2019-06-13 12:11 by vstinner, last changed 2019-08-08 21:48 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15017 merged pablogsal, 2019-07-30 00:26
PR 15183 merged ZackerySpytz, 2019-08-08 21:29
Messages (8)
msg345504 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-13 12:11
The parser module should be deprecated as soon as possible according to Pablo Galindo Salgo and Guido van Rossum:
* https://mail.python.org/pipermail/python-dev/2019-May/157464.html
* https://bugs.python.org/issue37253#msg345398

I propose to deprecate it in Python 3.8: add a note in the documentation and emit a DeprecationWarning on "import parser".
msg345506 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-13 12:16
I searched for "import parser" in GitHub code search, but I failed to find any project using the Python stdlib parser module. I only found copies of the CPython code source which has on "import parser" in Lib/test/test_parser.py.
msg345507 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-06-13 12:16
Pablo: Are you interested to implement this change?
msg345522 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-06-13 14:34
Yep, will make a PR soon.
msg348704 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-07-29 23:49
> Yep, will make a PR soon.

Any update on deprecating the parser module?
msg348706 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-07-30 00:29
> Any update on deprecating the parser module?

Wish granted: PR 15017
msg348735 - (view) Author: miss-islington (miss-islington) Date: 2019-07-30 11:04
New changeset 9211e2fd81fe1db6f73ded70752b144cc9691ab6 by Miss Islington (bot) (Pablo Galindo) in branch 'master':
bpo-37268: Add deprecation notice and a DeprecationWarning for the parser module (GH-15017)
https://github.com/python/cpython/commit/9211e2fd81fe1db6f73ded70752b144cc9691ab6
msg349260 - (view) Author: miss-islington (miss-islington) Date: 2019-08-08 21:48
New changeset 10a0a093231ea82a3bfd33fd63322aebd8406866 by Miss Islington (bot) (Zackery Spytz) in branch 'master':
bpo-37268: test_parser fails when run with -Werror (GH-15183)
https://github.com/python/cpython/commit/10a0a093231ea82a3bfd33fd63322aebd8406866
History
Date User Action Args
2019-08-08 21:48:04miss-islingtonsetmessages: + msg349260
2019-08-08 21:29:45ZackerySpytzsetpull_requests: + pull_request14915
2019-07-30 12:49:09pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-07-30 11:04:23miss-islingtonsetnosy: + miss-islington
messages: + msg348735
2019-07-30 00:29:48pablogsalsetmessages: + msg348706
2019-07-30 00:26:49pablogsalsetkeywords: + patch
stage: patch review
pull_requests: + pull_request14780
2019-07-29 23:49:14vstinnersetmessages: + msg348704
2019-06-13 14:34:32pablogsalsetmessages: + msg345522
2019-06-13 12:16:50vstinnersetnosy: + pablogsal
messages: + msg345507
2019-06-13 12:16:34vstinnersetmessages: + msg345506
2019-06-13 12:11:39vstinnercreate